Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233541 - perl-perlmenu fails with getcap on perl5
Summary: perl-perlmenu fails with getcap on perl5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 01:02 UTC by Kwan Lowe
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.0-4.1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 11:37:56 UTC


Attachments (Terms of Use)

Description Kwan Lowe 2007-03-23 01:02:37 UTC
Description of problem:
Ttrying to use the perlmenu module returns the following error: 
Curses function 'getcap' is not defined by your vendor at
/usr/lib/perl5/vendor_perl/5.8.8/perlmenu.pm line 382.


Version-Release number of selected component (if applicable):
perl-perlmenu-4.0-4.fc6


How reproducible:
Call perlmenu function from withing a program.

Steps to Reproduce:
1.  yum install perl-perlmenu
2.  cd /usr/share/doc/perl-perlmenu-x.x.x/examples
3.  perl demo 2> outfile

  
Actual results:
Error log shows that getcap() from Curses is not available.

Expected results:
demo application should draw a curses menu system.

Additional info:


The perl-perlmenu package as shipped does not work with perl5.  The original
docs suggest the following change to /usr/lib/perl5/vendor_perl/5.8.8/perlmenu.pm:

108,113c108,113
< #if ($] >= 5.001) {                   # Perl5 ONLY!
< #package Perl5::Menu_PL::Compat;      # Don't pollute perlmenu.pm namespace
< #require Term::Cap;                   # Get Tgetent package
< #$term = Tgetent Term::Cap { OSPEED => 9600 };           # Define entry
< #sub perlmenu::getcap { $term->{"_" . shift()} };  # Define local subroutine
< #}
---
> if ($] >= 5.001) {                    # Perl5 ONLY!
> package Perl5::Menu_PL::Compat;       # Don't pollute perlmenu.pm namespace
> require Term::Cap;                    # Get Tgetent package
> $term = Tgetent Term::Cap { OSPEED => 9600 };    # Define entry
> sub perlmenu::getcap { $term->{"_" . shift()} };  # Define local subroutine
> }

Comment 1 Parag AN(पराग) 2007-03-26 11:37:10 UTC
Updated in Rawhide with new version 4.0-4.1


Note You need to log in before you can comment on or make changes to this bug.